# CreateURocketMQTopic - CreateURocketMQTopic

## Overview

Create Topic






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateURocketMQTopic`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **Name** | string | Topic Name. Regex Check: ^[a-zA-Z0-9-_]{1,36}$ |**Yes**|
| **ServiceId** | string | Service ID |**Yes**|
| **MessageType** | string | Message types include Normal: Normal Message, PartitionSequence: Partition Sequence Message, GlobalSequence: Global Sequence Message, Transaction: Transaction Message, Delay: Delayed Message |**Yes**|
| **Remark** | string | Topic Description. Regex Check: ^[<br /><br />s<br /><br />S]{0,36}$ |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TopicId** | string | Create Topic ID |No|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=CreateURocketMQTopic
&Region=cn-zj
&ProjectId=xBYBAiSJ
&Name=mmpReQXIFkEtjudCBrwcPpXtmvgWStmCIuWHfabanAJIrhdQzbRYCSeFrZwOkmUiHX
&ServiceId=cdgcOJmH
&MessageType=Normal
&Remark=yctVrcos
```

### Response Example
    
```json
{
  "Action": "CreateURocketMQTopicResponse",
  "Message": "rlsxDqXE",
  "RetCode": 0,
  "TopicId": "PzMlAQNX"
}
```





